Layers
Map layers and style management
curl -X GET "https://example.com/library/layers"fetch("https://example.com/library/layers")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/library/layers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers"
response = requests.request("GET", url)
print(response.text)Empty
Create a custom layer
Request Body
application/jsonRequirednameRequiredstringtypestringenginearray<string>showInLayerSelectorbooleanvisiblebooleanfadeBasemapbooleaniconstringorderRequirednumbergroupIdstring | null | nullconfigurationRequiredunknownisSubLayerbooleanenabledbooleanintegrationIdstring | null | nullResponse Body
curl -X POST "https://example.com/library/layers" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"type": "string",
"engine": [
"string"
],
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"groupId": "string",
"configuration": null,
"isSubLayer": true,
"enabled": true,
"integrationId": "string"
}'const body = JSON.stringify({
"name": "string",
"type": "string",
"engine": [
"string"
],
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"groupId": "string",
"configuration": null,
"isSubLayer": true,
"enabled": true,
"integrationId": "string"
})
fetch("https://example.com/library/layers", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://example.com/library/layers"
body := strings.NewReader(`{
"name": "string",
"type": "string",
"engine": [
"string"
],
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"groupId": "string",
"configuration": null,
"isSubLayer": true,
"enabled": true,
"integrationId": "string"
}`)
req, _ := http.NewRequest("POST", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers"
body = {
"name": "string",
"type": "string",
"engine": [
"string"
],
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"groupId": "string",
"configuration": null,
"isSubLayer": true,
"enabled": true,
"integrationId": "string"
}
response = requests.request("POST", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text)Empty
curl -X DELETE "https://example.com/library/layers/string"fetch("https://example.com/library/layers/string")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/library/layers/string"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/string"
response = requests.request("DELETE", url)
print(response.text)Empty
Update a user-owned layer
Request Body
application/jsonRequirednamestringtypestringenginearray<string>showInLayerSelectorbooleanvisiblebooleanfadeBasemapbooleaniconstringordernumbergroupIdstring | null | nullconfigurationunknownisSubLayerbooleanenabledbooleanintegrationIdstring | null | nullPath Parameters
idRequiredstringResponse Body
curl -X PUT "https://example.com/library/layers/string" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"type": "string",
"engine": [
"string"
],
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"groupId": "string",
"configuration": null,
"isSubLayer": true,
"enabled": true,
"integrationId": "string"
}'const body = JSON.stringify({
"name": "string",
"type": "string",
"engine": [
"string"
],
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"groupId": "string",
"configuration": null,
"isSubLayer": true,
"enabled": true,
"integrationId": "string"
})
fetch("https://example.com/library/layers/string", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://example.com/library/layers/string"
body := strings.NewReader(`{
"name": "string",
"type": "string",
"engine": [
"string"
],
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"groupId": "string",
"configuration": null,
"isSubLayer": true,
"enabled": true,
"integrationId": "string"
}`)
req, _ := http.NewRequest("PUT", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/string"
body = {
"name": "string",
"type": "string",
"engine": [
"string"
],
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"groupId": "string",
"configuration": null,
"isSubLayer": true,
"enabled": true,
"integrationId": "string"
}
response = requests.request("PUT", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text)Empty
curl -X GET "https://example.com/library/layers/groups"fetch("https://example.com/library/layers/groups")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/library/layers/groups"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/groups"
response = requests.request("GET", url)
print(response.text)Empty
Create a custom layer group
Request Body
application/jsonRequirednameRequiredstringshowInLayerSelectorbooleanvisiblebooleanfadeBasemapbooleaniconstringorderRequirednumberparentGroupIdstring | null | nullintegrationIdstring | null | nullResponse Body
curl -X POST "https://example.com/library/layers/groups" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"parentGroupId": "string",
"integrationId": "string"
}'const body = JSON.stringify({
"name": "string",
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"parentGroupId": "string",
"integrationId": "string"
})
fetch("https://example.com/library/layers/groups", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://example.com/library/layers/groups"
body := strings.NewReader(`{
"name": "string",
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"parentGroupId": "string",
"integrationId": "string"
}`)
req, _ := http.NewRequest("POST", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/groups"
body = {
"name": "string",
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"parentGroupId": "string",
"integrationId": "string"
}
response = requests.request("POST", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text)Empty
curl -X DELETE "https://example.com/library/layers/groups/string"fetch("https://example.com/library/layers/groups/string")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/library/layers/groups/string"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/groups/string"
response = requests.request("DELETE", url)
print(response.text)Empty
Update a user-owned layer group
Request Body
application/jsonRequirednamestringshowInLayerSelectorbooleanvisiblebooleanfadeBasemapbooleaniconstringordernumberparentGroupIdstring | null | nullintegrationIdstring | null | nullPath Parameters
idRequiredstringResponse Body
curl -X PUT "https://example.com/library/layers/groups/string" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"parentGroupId": "string",
"integrationId": "string"
}'const body = JSON.stringify({
"name": "string",
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"parentGroupId": "string",
"integrationId": "string"
})
fetch("https://example.com/library/layers/groups/string", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://example.com/library/layers/groups/string"
body := strings.NewReader(`{
"name": "string",
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"parentGroupId": "string",
"integrationId": "string"
}`)
req, _ := http.NewRequest("PUT", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/groups/string"
body = {
"name": "string",
"showInLayerSelector": true,
"visible": true,
"fadeBasemap": true,
"icon": "string",
"order": 0,
"parentGroupId": "string",
"integrationId": "string"
}
response = requests.request("PUT", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text)Empty
Move a user-owned layer
Request Body
application/jsonRequiredtargetGroupIdstring | null | nulltargetOrderRequirednumberPath Parameters
idRequiredstringResponse Body
curl -X PUT "https://example.com/library/layers/string/move" \
-H "Content-Type: application/json" \
-d '{
"targetGroupId": "string",
"targetOrder": 0
}'const body = JSON.stringify({
"targetGroupId": "string",
"targetOrder": 0
})
fetch("https://example.com/library/layers/string/move", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://example.com/library/layers/string/move"
body := strings.NewReader(`{
"targetGroupId": "string",
"targetOrder": 0
}`)
req, _ := http.NewRequest("PUT", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/string/move"
body = {
"targetGroupId": "string",
"targetOrder": 0
}
response = requests.request("PUT", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text)Empty
Move a user-owned layer group
Request Body
application/jsonRequiredtargetOrderRequirednumbertargetParentGroupIdstring | null | nullPath Parameters
idRequiredstringResponse Body
curl -X PUT "https://example.com/library/layers/groups/string/move" \
-H "Content-Type: application/json" \
-d '{
"targetOrder": 0,
"targetParentGroupId": "string"
}'const body = JSON.stringify({
"targetOrder": 0,
"targetParentGroupId": "string"
})
fetch("https://example.com/library/layers/groups/string/move", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://example.com/library/layers/groups/string/move"
body := strings.NewReader(`{
"targetOrder": 0,
"targetParentGroupId": "string"
}`)
req, _ := http.NewRequest("PUT", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/groups/string/move"
body = {
"targetOrder": 0,
"targetParentGroupId": "string"
}
response = requests.request("PUT", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text)Empty
Bulk reorder user-owned rows
Request Body
application/jsonRequireditemsRequiredarray<object>Response Body
curl -X PUT "https://example.com/library/layers/reorder" \
-H "Content-Type: application/json" \
-d '{
"items": [
{
"id": "string",
"order": 0,
"groupId": "string"
}
]
}'const body = JSON.stringify({
"items": [
{
"id": "string",
"order": 0,
"groupId": "string"
}
]
})
fetch("https://example.com/library/layers/reorder", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://example.com/library/layers/reorder"
body := strings.NewReader(`{
"items": [
{
"id": "string",
"order": 0,
"groupId": "string"
}
]
}`)
req, _ := http.NewRequest("PUT", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/reorder"
body = {
"items": [
{
"id": "string",
"order": 0,
"groupId": "string"
}
]
}
response = requests.request("PUT", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text)Empty
curl -X GET "https://example.com/library/layers/defaults"fetch("https://example.com/library/layers/defaults")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/library/layers/defaults"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/defaults"
response = requests.request("GET", url)
print(response.text)Empty
curl -X GET "https://example.com/library/layers/default-state"fetch("https://example.com/library/layers/default-state")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/library/layers/default-state"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/default-state"
response = requests.request("GET", url)
print(response.text)Empty
Clear user state for a default template
Request Body
application/jsonRequiredtemplateIdRequiredstringtypeRequiredstringResponse Body
curl -X DELETE "https://example.com/library/layers/default-state" \
-H "Content-Type: application/json" \
-d '{
"templateId": "string",
"type": "layer"
}'const body = JSON.stringify({
"templateId": "string",
"type": "layer"
})
fetch("https://example.com/library/layers/default-state", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://example.com/library/layers/default-state"
body := strings.NewReader(`{
"templateId": "string",
"type": "layer"
}`)
req, _ := http.NewRequest("DELETE", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/default-state"
body = {
"templateId": "string",
"type": "layer"
}
response = requests.request("DELETE", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text)Empty
Upsert user state for a default template
Request Body
application/jsonRequiredtemplateIdRequiredstringtypeRequiredstringhiddenbooleanvisibleboolean | null | nullordernumber | null | nullenabledboolean | null | nullgroupIdstring | null | nullparentGroupIdstring | null | nullResponse Body
curl -X PUT "https://example.com/library/layers/default-state" \
-H "Content-Type: application/json" \
-d '{
"templateId": "string",
"type": "layer",
"hidden": true,
"visible": true,
"order": 0,
"enabled": true,
"groupId": "string",
"parentGroupId": "string"
}'const body = JSON.stringify({
"templateId": "string",
"type": "layer",
"hidden": true,
"visible": true,
"order": 0,
"enabled": true,
"groupId": "string",
"parentGroupId": "string"
})
fetch("https://example.com/library/layers/default-state", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://example.com/library/layers/default-state"
body := strings.NewReader(`{
"templateId": "string",
"type": "layer",
"hidden": true,
"visible": true,
"order": 0,
"enabled": true,
"groupId": "string",
"parentGroupId": "string"
}`)
req, _ := http.NewRequest("PUT", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/default-state"
body = {
"templateId": "string",
"type": "layer",
"hidden": true,
"visible": true,
"order": 0,
"enabled": true,
"groupId": "string",
"parentGroupId": "string"
}
response = requests.request("PUT", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text)Empty
Clone a default layer into a user-owned layer
Request Body
application/jsonRequiredtemplateIdRequiredstringpatchunknownResponse Body
curl -X POST "https://example.com/library/layers/default-clone/layer" \
-H "Content-Type: application/json" \
-d '{
"templateId": "string",
"patch": null
}'const body = JSON.stringify({
"templateId": "string",
"patch": null
})
fetch("https://example.com/library/layers/default-clone/layer", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://example.com/library/layers/default-clone/layer"
body := strings.NewReader(`{
"templateId": "string",
"patch": null
}`)
req, _ := http.NewRequest("POST", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/default-clone/layer"
body = {
"templateId": "string",
"patch": null
}
response = requests.request("POST", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text)Empty
Clone a default group into a user-owned group
Request Body
application/jsonRequiredtemplateIdRequiredstringpatchunknownResponse Body
curl -X POST "https://example.com/library/layers/default-clone/group" \
-H "Content-Type: application/json" \
-d '{
"templateId": "string",
"patch": null
}'const body = JSON.stringify({
"templateId": "string",
"patch": null
})
fetch("https://example.com/library/layers/default-clone/group", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://example.com/library/layers/default-clone/group"
body := strings.NewReader(`{
"templateId": "string",
"patch": null
}`)
req, _ := http.NewRequest("POST", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/default-clone/group"
body = {
"templateId": "string",
"patch": null
}
response = requests.request("POST", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text)Empty
curl -X POST "https://example.com/library/layers/restore-defaults"fetch("https://example.com/library/layers/restore-defaults")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/library/layers/restore-defaults"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/library/layers/restore-defaults"
response = requests.request("POST", url)
print(response.text)Empty